Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.designer.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractor.designer.cs	(revision 81)
@@ -115,6 +115,8 @@
             this.label26 = new System.Windows.Forms.Label();
             this.label23 = new System.Windows.Forms.Label();
             this.cmbJapaneseSyllabary = new System.Windows.Forms.ComboBox();
+            this.btnSelect = new System.Windows.Forms.Button();
+            this.label27 = new System.Windows.Forms.Label();
             this.dgvJobItem = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.ItemColumn01 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ItemColumn02 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -1202,6 +1204,34 @@
             this.cmbJapaneseSyllabary.TabIndex = 2;
             this.cmbJapaneseSyllabary.SelectedIndexChanged += new System.EventHandler(this.cmbJapaneseSyllabary_SelectedIndexChanged);
             // 
+            // btnSelect
+            // 
+            this.btnSelect.BackColor = System.Drawing.Color.Green;
+            this.btnSelect.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelect.ForeColor = System.Drawing.Color.White;
+            this.btnSelect.Location = new System.Drawing.Point(964, 650);
+            this.btnSelect.Name = "btnSelect";
+            this.btnSelect.Size = new System.Drawing.Size(120, 30);
+            this.btnSelect.TabIndex = 26;
+            this.btnSelect.Text = "データ選択";
+            this.btnSelect.UseVisualStyleBackColor = false;
+            this.btnSelect.Visible = false;
+            this.btnSelect.Click += new System.EventHandler(this.btnSelect_Click);
+            // 
+            // label27
+            // 
+            this.label27.BackColor = System.Drawing.Color.Red;
+            this.label27.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            this.label27.Font = new System.Drawing.Font("ＭＳ 明朝", 15.75F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.label27.ForeColor = System.Drawing.Color.White;
+            this.label27.Location = new System.Drawing.Point(1050, 40);
+            this.label27.Name = "label27";
+            this.label27.Size = new System.Drawing.Size(160, 32);
+            this.label27.TabIndex = 27;
+            this.label27.Text = "削除データ";
+            this.label27.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
+            this.label27.Visible = false;
+            // 
             // dgvJobItem
             // 
             this.dgvJobItem.AllowUserToAddRows = false;
@@ -1425,6 +1455,7 @@
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
             this.ClientSize = new System.Drawing.Size(1220, 687);
+            this.Controls.Add(this.label27);
             this.Controls.Add(this.panel2);
             this.Controls.Add(this.panel1);
             this.Controls.Add(this.btnDispDown);
@@ -1434,9 +1465,10 @@
             this.Controls.Add(this.dgvMaster);
             this.Controls.Add(this.lblEditMode);
             this.Controls.Add(this.label1);
-            this.Controls.Add(this.btnDataDelete);
             this.Controls.Add(this.btnDataEntry);
             this.Controls.Add(this.btnEnd);
+            this.Controls.Add(this.btnDataDelete);
+            this.Controls.Add(this.btnSelect);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.Fixed3D;
             this.KeyPreview = true;
@@ -1552,5 +1584,7 @@
         private System.Windows.Forms.Label label25;
         private System.Windows.Forms.Label label26;
         private System.Windows.Forms.ComboBox cmbLabour;
+        private System.Windows.Forms.Button btnSelect;
+        private System.Windows.Forms.Label label27;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 80)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/SubContractor/FrmSubContractorAuxiliary.cs	(revision 81)
@@ -33,7 +33,7 @@
         {
             try
             {
-                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text));
                 jobitemDB.DeleteAction(strDel, false);
 
                 return true;
@@ -56,7 +56,7 @@
         {
             try
             {
-                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text));
                 jobLinkDB.DeleteAction(strDel, false);
 
                 return true;
@@ -110,9 +110,9 @@
 
             // モード表示
             if (m_EditLock)
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;
             else
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;
 
             // 参照時はデータ変更させない
             if (m_EditLock)
@@ -121,7 +121,7 @@
             }
 
             // フォーカスセット
-            m_dispControl[(int)Dispcount.CompanyName].Focus();
+            m_dispControl[(int)DispCtrl.CompanyName].Focus();
         }
         #endregion
 
@@ -350,36 +350,36 @@
         /// </summary>
         private void SetDisplayObject()
         {
-            int DspCtrlCnt = Enum.GetNames(typeof(Dispcount)).Length;
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
             m_dispControl = new Control[DspCtrlCnt];
 
-            m_dispControl[(int)Dispcount.CompanyCode] = lblCompanyCode;
-            m_dispControl[(int)Dispcount.CorporateStatusName] = cmbCorporateStatus;
-            m_dispControl[(int)Dispcount.CompanyName] = txtInput1;
-            m_dispControl[(int)Dispcount.CEOPositionName] = txtInput2;
-            m_dispControl[(int)Dispcount.CEOName] = txtInput3;
-            m_dispControl[(int)Dispcount.ContactPersonName] = txtInput4;
-            m_dispControl[(int)Dispcount.ZipCode] = txtInput5;
-            m_dispControl[(int)Dispcount.Address1] = txtInput6;
-            m_dispControl[(int)Dispcount.Address2] = txtInput7;
-            m_dispControl[(int)Dispcount.Address3] = txtInput11;
-            m_dispControl[(int)Dispcount.CellPhoneNumber] = txtInput12;
-            m_dispControl[(int)Dispcount.MailAddress] = txtInput15;
-            m_dispControl[(int)Dispcount.PhoneNumber] = txtInput8;
-            m_dispControl[(int)Dispcount.JapaneseSyllabary] = txtInput13;
-            m_dispControl[(int)Dispcount.FaxNumber] = txtInput9;
-            m_dispControl[(int)Dispcount.StartDate] = txtInput14;
-            m_dispControl[(int)Dispcount.Note] = txtInput10;
-            m_dispControl[(int)Dispcount.EditMode] = lblEditMode;
-            m_dispControl[(int)Dispcount.btnSerchZip] = btnSerchZip;
-            m_dispControl[(int)Dispcount.PointNone] = rdbPoint1;
-            m_dispControl[(int)Dispcount.PointFront] = rdbPoint2;
-            m_dispControl[(int)Dispcount.PointRear] = rdbPoint3;
-            m_dispControl[(int)Dispcount.GridJobItem] = dgvJobItem;
-            m_dispControl[(int)Dispcount.btnJobItemAdd] = btnJobItemAdd;
-            m_dispControl[(int)Dispcount.btnJobItemDelte] = btnJobItemDelete;
-            m_dispControl[(int)Dispcount.PaymentNormal] = rdbPayment01;
-            m_dispControl[(int)Dispcount.PaymentLabour] = rdbPayment02;
+            m_dispControl[(int)DispCtrl.CompanyCode] = lblCompanyCode;
+            m_dispControl[(int)DispCtrl.CorporateStatusName] = cmbCorporateStatus;
+            m_dispControl[(int)DispCtrl.CompanyName] = txtInput1;
+            m_dispControl[(int)DispCtrl.CEOPositionName] = txtInput2;
+            m_dispControl[(int)DispCtrl.CEOName] = txtInput3;
+            m_dispControl[(int)DispCtrl.ContactPersonName] = txtInput4;
+            m_dispControl[(int)DispCtrl.ZipCode] = txtInput5;
+            m_dispControl[(int)DispCtrl.Address1] = txtInput6;
+            m_dispControl[(int)DispCtrl.Address2] = txtInput7;
+            m_dispControl[(int)DispCtrl.Address3] = txtInput11;
+            m_dispControl[(int)DispCtrl.CellPhoneNumber] = txtInput12;
+            m_dispControl[(int)DispCtrl.MailAddress] = txtInput15;
+            m_dispControl[(int)DispCtrl.PhoneNumber] = txtInput8;
+            m_dispControl[(int)DispCtrl.JapaneseSyllabary] = txtInput13;
+            m_dispControl[(int)DispCtrl.FaxNumber] = txtInput9;
+            m_dispControl[(int)DispCtrl.StartDate] = txtInput14;
+            m_dispControl[(int)DispCtrl.Note] = txtInput10;
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.btnSerchZip] = btnSerchZip;
+            m_dispControl[(int)DispCtrl.PointNone] = rdbPoint1;
+            m_dispControl[(int)DispCtrl.PointFront] = rdbPoint2;
+            m_dispControl[(int)DispCtrl.PointRear] = rdbPoint3;
+            m_dispControl[(int)DispCtrl.GridJobItem] = dgvJobItem;
+            m_dispControl[(int)DispCtrl.btnJobItemAdd] = btnJobItemAdd;
+            m_dispControl[(int)DispCtrl.btnJobItemDelte] = btnJobItemDelete;
+            m_dispControl[(int)DispCtrl.PaymentNormal] = rdbPayment01;
+            m_dispControl[(int)DispCtrl.PaymentLabour] = rdbPayment02;
         }
         #endregion
 
@@ -418,28 +418,33 @@
                     return;
                 }
 
+                if (wrklist.DeleteFlg != 0)
+                    label27.Visible = true;
+                else
+                    label27.Visible = false;
+                
                 // データ表示
-                m_dispControl[(int)Dispcount.CompanyCode].Text = wrklist.CompanyCode.ToString();         // 会社コード
-                m_dispControl[(int)Dispcount.CorporateStatusName].Text = wrklist.CorporateStatusName.ToString(); // 法人格名称
+                m_dispControl[(int)DispCtrl.CompanyCode].Text = wrklist.CompanyCode.ToString();                         // 会社コード
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = wrklist.CorporateStatusName.ToString();         // 法人格名称
                 if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.None) rdbPoint1.Checked = true;   // 法人格名称表示位置
                 else if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Forword) rdbPoint2.Checked = true;
                 else if (wrklist.CorporateStatusPoint == (int)CommonDefine.StatusNamePoint.Back) rdbPoint3.Checked = true;
 
-                m_dispControl[(int)Dispcount.CompanyName].Text = wrklist.CompanyName;                           // 会社名１
-                m_dispControl[(int)Dispcount.CEOPositionName].Text = wrklist.CEOPositionName;                   // 役職名
-                m_dispControl[(int)Dispcount.CEOName].Text = wrklist.CEOName;                                   // 代表者氏名
-                m_dispControl[(int)Dispcount.ContactPersonName].Text = wrklist.ContactPersonName;               // 窓口担当者
-                m_dispControl[(int)Dispcount.ZipCode].Text = wrklist.ZipCode;                                   // 郵便番号
-                m_dispControl[(int)Dispcount.Address1].Text = wrklist.Address1;                                 // 住所１
-                m_dispControl[(int)Dispcount.Address2].Text = wrklist.Address2;                                 // 住所２
-                m_dispControl[(int)Dispcount.Address3].Text = wrklist.Address3;                                 // 住所３
-                m_dispControl[(int)Dispcount.CellPhoneNumber].Text = wrklist.CellPhoneNumber;                   // 携帯電話番号
-                m_dispControl[(int)Dispcount.MailAddress].Text = wrklist.MailAddress;                           // メールアドレス
-                m_dispControl[(int)Dispcount.PhoneNumber].Text = wrklist.PhoneNumber;                           // 電話番号
-                m_dispControl[(int)Dispcount.FaxNumber].Text = wrklist.FaxNumber;                               // FAX番号
-                m_dispControl[(int)Dispcount.JapaneseSyllabary].Text = wrklist.JapaneseSyllabary;               // 50音読み
-                m_dispControl[(int)Dispcount.StartDate].Text = CommonMotions.cnvDateToUndecidedString(wrklist.StartDate);   // 見積提出日
-                m_dispControl[(int)Dispcount.Note].Text = wrklist.Note.ToString();                              // 備考
+                m_dispControl[(int)DispCtrl.CompanyName].Text = wrklist.CompanyName;                           // 会社名１
+                m_dispControl[(int)DispCtrl.CEOPositionName].Text = wrklist.CEOPositionName;                   // 役職名
+                m_dispControl[(int)DispCtrl.CEOName].Text = wrklist.CEOName;                                   // 代表者氏名
+                m_dispControl[(int)DispCtrl.ContactPersonName].Text = wrklist.ContactPersonName;               // 窓口担当者
+                m_dispControl[(int)DispCtrl.ZipCode].Text = wrklist.ZipCode;                                   // 郵便番号
+                m_dispControl[(int)DispCtrl.Address1].Text = wrklist.Address1;                                 // 住所１
+                m_dispControl[(int)DispCtrl.Address2].Text = wrklist.Address2;                                 // 住所２
+                m_dispControl[(int)DispCtrl.Address3].Text = wrklist.Address3;                                 // 住所３
+                m_dispControl[(int)DispCtrl.CellPhoneNumber].Text = wrklist.CellPhoneNumber;                   // 携帯電話番号
+                m_dispControl[(int)DispCtrl.MailAddress].Text = wrklist.MailAddress;                           // メールアドレス
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = wrklist.PhoneNumber;                           // 電話番号
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = wrklist.FaxNumber;                               // FAX番号
+                m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text = wrklist.JapaneseSyllabary;               // 50音読み
+                m_dispControl[(int)DispCtrl.StartDate].Text = CommonMotions.cnvDateToUndecidedString(wrklist.StartDate);   // 見積提出日
+                m_dispControl[(int)DispCtrl.Note].Text = wrklist.Note.ToString();                              // 備考
 
                 if (wrklist.labourKind == (int)CommonDefine.SubContractorPaymentKind.Normal)                    // 業者支払区分（通常・手間）
                     rdbPayment01.Checked = true;
@@ -462,7 +467,6 @@
                         }
                     }
                 }
-                if (dgvJobItem.RowCount < 4) dgvJobItem.RowCount += (4 - dgvJobItem.RowCount);
 
                 // ----- 協力会社職種データ表示
                 string jobSQL = jobItemDB.CreatePrimarykeyString(m_CompanyCode) + "Order By DisplayOrder";
@@ -480,7 +484,6 @@
                         }
                     }
                 }
-                if (dgvJobLink.RowCount < 4) dgvJobLink.RowCount += (4 - dgvJobLink.RowCount);
 
                 m_bChengeAns = false;
             }
@@ -495,6 +498,8 @@
                 itemDB.close(); itemDB = null;
                 jobLinkDB.close(); jobLinkDB = null;
                 jobCateDB.close(); jobCateDB = null;
+                if (dgvJobItem.RowCount < 4) dgvJobItem.RowCount += (4 - dgvJobItem.RowCount);
+                if (dgvJobLink.RowCount < 4) dgvJobLink.RowCount += (4 - dgvJobLink.RowCount);
             }
         }
         #endregion
@@ -583,64 +588,64 @@
             try
             {
                 // 会社名１
-                if (m_dispControl[(int)Dispcount.CompanyName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CompanyName], s_CompanyNameLength, true);
+                if (m_dispControl[(int)DispCtrl.CompanyName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.CompanyName], s_CompanyNameLength, true);
 
                 // 代表者役職名
-                if (m_dispControl[(int)Dispcount.CEOPositionName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CEOPositionName], s_CEOPositionNameLength);
+                if (m_dispControl[(int)DispCtrl.CEOPositionName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.CEOPositionName], s_CEOPositionNameLength);
 
                 // 代表者氏名
-                if (m_dispControl[(int)Dispcount.CEOName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.CEOName], s_CEONameLength);
+                if (m_dispControl[(int)DispCtrl.CEOName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.CEOName], s_CEONameLength);
 
                 // 窓口担当者氏名
-                if (m_dispControl[(int)Dispcount.ContactPersonName].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.ContactPersonName], s_CEONameLength);
+                if (m_dispControl[(int)DispCtrl.ContactPersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ContactPersonName], s_CEONameLength);
 
                 // 住所１
-                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address1], s_AddressLength, true);
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address1], s_AddressLength, true);
 
                 // 住所２
-                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address2], s_AddressLength);
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address2], s_AddressLength);
 
                 // 住所３
-                if (m_dispControl[(int)Dispcount.Address3].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address3], s_AddressLength);
+                if (m_dispControl[(int)DispCtrl.Address3].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address3], s_AddressLength);
 
                 // 郵便番号
-                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)Dispcount.ZipCode], true);
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)DispCtrl.ZipCode], true);
 
                 // 携帯電話番号
-                if (m_dispControl[(int)Dispcount.CellPhoneNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.CellPhoneNumber], false);
+                if (m_dispControl[(int)DispCtrl.CellPhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.CellPhoneNumber], false);
 
                 // メールアドレス
-                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldMailAddressCheck(m_dispControl[(int)Dispcount.MailAddress], false);
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldMailAddressCheck(m_dispControl[(int)DispCtrl.MailAddress], false);
 
                 // 電話番号
-                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.PhoneNumber], true);
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.PhoneNumber], true);
 
                 // FAX番号
-                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.FaxNumber]);
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.FaxNumber]);
 
                 // 50音読み
-                if (m_dispControl[(int)Dispcount.JapaneseSyllabary].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.JapaneseSyllabary], s_JapaneseSyllabaryLength);
+                if (m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.JapaneseSyllabary], s_JapaneseSyllabaryLength);
 
                 // 取引開始年月
-                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)Dispcount.StartDate], false);
+                if (m_dispControl[(int)DispCtrl.StartDate].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldDateCheck(m_dispControl[(int)DispCtrl.StartDate], false);
 
                 // 備考
-                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Note], s_NoteLength);
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Note], s_NoteLength);
 
                 if (iLength == 0)
                 {
@@ -697,7 +702,7 @@
                 List<SubContractorMaster> workList = new List<SubContractorMaster>();
 
                 // 会社コード
-                work.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+                work.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text);
 
                 // 法人格名称位置
                 if (rdbPoint1.Checked == true) work.CorporateStatusPoint = (int)CommonDefine.StatusNamePoint.None;
@@ -706,68 +711,68 @@
 
                 // 法人格名称
                 if (work.CorporateStatusPoint != 0)
-                    if (m_dispControl[(int)Dispcount.CorporateStatusName].Text.Length != 0)
-                        work.CorporateStatusName = m_dispControl[(int)Dispcount.CorporateStatusName].Text;
+                    if (m_dispControl[(int)DispCtrl.CorporateStatusName].Text.Length != 0)
+                        work.CorporateStatusName = m_dispControl[(int)DispCtrl.CorporateStatusName].Text;
 
                 // 会社名
-                if (m_dispControl[(int)Dispcount.CompanyName].Text.Length != 0)
-                    work.CompanyName = m_dispControl[(int)Dispcount.CompanyName].Text;
+                if (m_dispControl[(int)DispCtrl.CompanyName].Text.Length != 0)
+                    work.CompanyName = m_dispControl[(int)DispCtrl.CompanyName].Text;
 
                 // 役職名
-                if (m_dispControl[(int)Dispcount.CEOPositionName].Text.Length != 0)
-                    work.CEOPositionName = m_dispControl[(int)Dispcount.CEOPositionName].Text;
+                if (m_dispControl[(int)DispCtrl.CEOPositionName].Text.Length != 0)
+                    work.CEOPositionName = m_dispControl[(int)DispCtrl.CEOPositionName].Text;
 
                 // 代表者名
-                if (m_dispControl[(int)Dispcount.CEOName].Text.Length != 0)
-                    work.CEOName = m_dispControl[(int)Dispcount.CEOName].Text;
+                if (m_dispControl[(int)DispCtrl.CEOName].Text.Length != 0)
+                    work.CEOName = m_dispControl[(int)DispCtrl.CEOName].Text;
 
                 // 窓口担当者名
-                if (m_dispControl[(int)Dispcount.ContactPersonName].Text.Length != 0)
-                    work.ContactPersonName = m_dispControl[(int)Dispcount.ContactPersonName].Text;
+                if (m_dispControl[(int)DispCtrl.ContactPersonName].Text.Length != 0)
+                    work.ContactPersonName = m_dispControl[(int)DispCtrl.ContactPersonName].Text;
 
                 // 郵便番号
-                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0)
-                    work.ZipCode = m_dispControl[(int)Dispcount.ZipCode].Text;
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0)
+                    work.ZipCode = m_dispControl[(int)DispCtrl.ZipCode].Text;
 
                 // 住所１
-                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0)
-                    work.Address1 = m_dispControl[(int)Dispcount.Address1].Text;
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0)
+                    work.Address1 = m_dispControl[(int)DispCtrl.Address1].Text;
 
                 // 住所２
-                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0)
-                    work.Address2 = m_dispControl[(int)Dispcount.Address2].Text;
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0)
+                    work.Address2 = m_dispControl[(int)DispCtrl.Address2].Text;
 
                 // 住所３
-                if (m_dispControl[(int)Dispcount.Address3].Text.Length != 0)
-                    work.Address3 = m_dispControl[(int)Dispcount.Address3].Text;
+                if (m_dispControl[(int)DispCtrl.Address3].Text.Length != 0)
+                    work.Address3 = m_dispControl[(int)DispCtrl.Address3].Text;
 
                 // 携帯電話番号
-                if (m_dispControl[(int)Dispcount.CellPhoneNumber].Text.Length != 0)
-                    work.CellPhoneNumber = m_dispControl[(int)Dispcount.CellPhoneNumber].Text;
+                if (m_dispControl[(int)DispCtrl.CellPhoneNumber].Text.Length != 0)
+                    work.CellPhoneNumber = m_dispControl[(int)DispCtrl.CellPhoneNumber].Text;
 
                 // メールアドレス
-                if (m_dispControl[(int)Dispcount.MailAddress].Text.Length != 0)
-                    work.MailAddress = m_dispControl[(int)Dispcount.MailAddress].Text;
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0)
+                    work.MailAddress = m_dispControl[(int)DispCtrl.MailAddress].Text;
 
                 // 電話番号
-                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0)
-                    work.PhoneNumber = m_dispControl[(int)Dispcount.PhoneNumber].Text;
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0)
+                    work.PhoneNumber = m_dispControl[(int)DispCtrl.PhoneNumber].Text;
 
                 // FAX番号
-                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0)
-                    work.FaxNumber = m_dispControl[(int)Dispcount.FaxNumber].Text;
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0)
+                    work.FaxNumber = m_dispControl[(int)DispCtrl.FaxNumber].Text;
 
                 // 50音読み
-                if (m_dispControl[(int)Dispcount.JapaneseSyllabary].Text.Length != 0)
-                    work.JapaneseSyllabary = m_dispControl[(int)Dispcount.JapaneseSyllabary].Text;
+                if (m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text.Length != 0)
+                    work.JapaneseSyllabary = m_dispControl[(int)DispCtrl.JapaneseSyllabary].Text;
 
                 // 登録日
-                if (m_dispControl[(int)Dispcount.StartDate].Text.Length != 0)
-                    work.StartDate = CommonMotions.cnvUndecidedStringToDate(m_dispControl[(int)Dispcount.StartDate].Text);
+                if (m_dispControl[(int)DispCtrl.StartDate].Text.Length != 0)
+                    work.StartDate = CommonMotions.cnvUndecidedStringToDate(m_dispControl[(int)DispCtrl.StartDate].Text);
 
                 // 備考
-                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0)
-                    work.Note = m_dispControl[(int)Dispcount.Note].Text;
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0)
+                    work.Note = m_dispControl[(int)DispCtrl.Note].Text;
 
                 // 支払業者区分
                 if (rdbPayment01.Checked == true) work.labourKind = (int)CommonDefine.SubContractorPaymentKind.Normal;
@@ -870,7 +875,7 @@
         {
             try
             {
-                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                string strDel = jobitemDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text));
                 jobitemDB.DeleteAction(strDel, false);
 
                 int ijobCnt = 0;
@@ -888,7 +893,7 @@
                     if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
 
                     SubContractorJobItem JobRec = new SubContractorJobItem();
-                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text);
                     JobRec.ItemCode = CommonMotions.cnvInt(wrkRow.Cells[0].Value);
                     JobRec.DisplayOrder = ijobCnt++;
 
@@ -916,7 +921,7 @@
         {
             try
             {
-                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text));
+                string strDel = jobLinkDB.CreatePrimarykeyString(CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text));
                 jobLinkDB.DeleteAction(strDel, false);
 
                 int ijobCnt = 0;
@@ -934,7 +939,7 @@
                     if (CommonMotions.chkCellBlank(wrkRow.Cells[0].Value)) continue;
 
                     SubContractorJobLink JobRec = new SubContractorJobLink();
-                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.CompanyCode].Text);
+                    JobRec.CompanyCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.CompanyCode].Text);
                     JobRec.JobCategoryCode = CommonMotions.cnvInt(wrkRow.Cells[0].Value);
                     JobRec.DisplayOrder = ijobCnt++;
 
